---
version: '3'

networks:
  traefik:
    driver: bridge

services:
  # Load Balancer / SSL / Web Server
  traefik:
    image: traefik:v1.7.16-alpine
    restart: always
    networks:
      - traefik
    ports:
{% if traefik.expose_internally %}
      - "8181:8080"
{% endif %}
      - "80:80"
      - "443:443"
{% if traefik.additional_env_vars %}
    environment:
{% for item in traefik.additional_env_vars | dict2items %}
      - {{item.key}}={{item.value}}
{% endfor %}
{% endif %}
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - /var/homelabos/traefik/traefik.toml:/traefik.toml
      - /var/homelabos/traefik/acme.json:/acme.json
{% if traefik.expose_externally %}
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=homelabos_traefik"
      - "traefik.http.frontend.rule=Host:traefik.{{ domain }}"
      - "traefik.http.protocol=http"
      - "traefik.http.port=8080"
{% endif %}
